Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		freeglut
Version:	2.4.0
Release:	2
License:	MIT
Group:		System/Libraries
Summary:	A freely licensed alternative to the GLUT library
URL:		http://freeglut.sourceforge.net
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	pkg-config
BuildConflicts: xorg-x11-drv-nvidia xorg-x11-drv-fglrx xorg-x11-drv-nvidia-legacy xorg-x1-drv-nvidia-legacy96xx

%description
freeglut is a completely open source alternative to the OpenGL Utility Toolkit
(GLUT) library with an OSI approved free software license. GLUT was originally
written by Mark Kilgard to support the sample programs in the second edition
OpenGL 'RedBook'. Since then, GLUT has been used in a wide variety of practical
applications because it is simple, universally available and highly portable.

freeglut allows the user to create and manage windows containing OpenGL
contexts on a wide range of platforms and also read the mouse, keyboard and
joystick functions.

%package	devel
Summary:	freeglut development libraries and header files.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Development libraries and header files required for developing or compiling
software which links to the freeglut library, which is an open source
alternative to the popular GLUT library, with an OSI approved free software
license.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q

%build
%configure --enable-warnings
make CFLAGS="$RPM_OPT_FLAGS -Wall $(pkg-config --cflags glib)"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall 
ldconfig -n %_libdir
chmod 644 doc/*.{html,png}
# rm $RPM_BUILD_ROOT%_libdir/*.la

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO doc/*.png doc/*.html
%_libdir/*.so.*

%files devel
%defattr(-,root,root,-)
%_includedir
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Jan 11 2008 Christian Wasem <wasem@ccux-linux.de> 2.4.0-2
- rebuild, correct linking against libGL.so.1 from mesa
* Wed May 10 2006 Christian Wasem <wasem@ccux-linux.de> 2.4.0-1
- Update to Version 2.4.0